PDA

View Full Version : No support for Windows Installer 1.2 in AdminStudio 3.0 ?!?!?!?!??!



jsnielsen
01-16-2002, 11:07 AM
Hey there,

just got AdminStudio 3.0 Pro installed. Nice, it seems. However,

I'm quickly disappointed as I was told at an InstallShield course I was on (3-4 months ago) that the Isolation Wizard would be able to do Side By Side Sharing in Windows 2000. Oh well, guess that didn't really work out... BUGGERS !

Anyway, my real problem is that now I have AS 3.0 installed. I just did a package. When I try to install the .msi package I generated, I get the error:

"This installation package cannot be installed by the Windows Installer Service. You must install a Windows service pack that contains a newer version of the Windows Installer service."

I set the schema property in the Summary Stream to "120" like it says I should.

Re-built the package. Ran it. Same message.

Can anyone tell me how to fix it, or if AS 3.0 doesn't have support for versions of Windows Installer that are pre 2.0 ?

mvaricak
02-04-2002, 09:55 AM
It is actually very easy to fix that.
Click on "General Information" - "Summary Information Stream"-"Schema" and change value to 110 (you probably have - 200).

jsnielsen
02-04-2002, 10:02 AM
Hey there,

I actually already tried that. Except, I set the value to 120, as we're running Windows Installer 1.2. Just like the quick-tip said.

I got an URL from InstallShield support, that points to an KB article which describes what to do in AS 3.0. Don't have the URL right here though.

But oh my god... it is SUCH a sucky release if you're not running WI 2.0 or Win XP. At least I think so. I've gained nothing from my $999 this release.

Installshield: How about doing something for the WI 1.2 + Windows 2000 community !

E.g. an application isolation wizard for Windows 2000, doing side-by-side sharing automatically.

Or, how about having Author cleaning out registry- and file-entries that shouldn't be there, because it detects that a merge-module is better to use in your project.

Now those would be real benefits.

Jacob

pantoine
02-09-2002, 12:41 PM
Author 3.0, which is essentially the same as Developer 7.02, should allow you to use the 1.2 engine if you use KB Q105489:
http://support.installshield.com/kb/view.asp?pcode=ALL&articleid=Q105489